# `gz`  - Optional Command Reference

> Compress or decompress a gzip file

## Description

An optional builtin for compressing or decompressing a gzip stream from STDIN.

## Usage

    <stdin> -> gz -> <stdout>
    
    <stdin> -> !gz -> <stdout>

## Synonyms

* `gz`
* `!gz`


## See Also

* [`!bz2` ](../optional/bz2.md):
  Decompress a bz2 file
* [`base64` ](../optional/base64.md):
  Encode or decode a base64 string
* [`escape`](../commands/escape.md):
  Escape or unescape input 
* [`esccli`](../commands/esccli.md):
  Escapes an array so output is valid shell code
* [`eschtml`](../commands/eschtml.md):
  Encode or decodes text for HTML
* [`escurl`](../commands/escurl.md):
  Encode or decodes text for the URL